Subject: Re: framework draft v07 uploaded to IETF

From: "Yang, Lily L" <[email-masked]>
Date: Tue, 29 Jul 2003 08:56:14 -0700

I guess the question is whether this is considered as physically
separated enough? It sounds to me that it is not, but I could be wrong
as I don't know the detail of such config.

Lily

-----Original Message-----
From: Jamal Hadi Salim [mailto:[email-masked]] 
Sent: Monday, July 28, 2003 1:04 AM
To: [email-masked]
Subject: Re: framework draft v07 uploaded to IETF

Alex,

If you dont have much processing horsepower, true.
I have basic PPC 8245 on the line cards here(which may be considered by
some to be "powerful") and i think in a small setup i should be able to
happily use them as a loosely coupled CE while the line card fabric is
used to forward packets.

I still need an answer: Is this out of scope for Forces? I think
implicitly it is within. Am i correct?

cheers,
jamal

On Mon, 2003-07-28 at 17:00, Alex Audu wrote:
> Well,..normally the FEs are specialized for forwarding and their
hardware
> requirements are quite different from those of CEs. In that case, you
> can't just make any FE into a CE.
>
> Regards,
> Alex.
>
> Jamal Hadi Salim wrote:
>
> > Alex,
> > Think of just a chasis with no dedicated CE module. Think of line
> > cards each equipped with some embedded processors. You could use
> > one of the line cards as a CE. You could infact split the CE work
> > across several line cards etc. I think it is implict right now -
> > i just wanted to make sure other people thought the same.
> >
> > cheers,
> > jamal
> >
> > On Mon, 2003-07-28 at 13:01, Alex Audu wrote:
> > > Yo Jamal,
> > >
> > > I don't understand what you are postulating here. Are you saying
you can
> > >
> > > make a CE out of an FE?
> > >
> > > Regards,
> > > Alex.
> > >
> > > Jamal Hadi Salim wrote:
> > >
> > > > BTW, One other thing which i have assumed as implicit is
> > > > that the FE and CE maybe located in the same device. Example
> > > > two Line cards - each with its own CPU: In such a case you
> > > > select one of them to be the CE (selection is beyond Forces).
> > > >
> > > > The architecture draft doesnt show this - although it is clearly
> > > > implicit. Need validation.
> > > >
> > > > cheers,
> > > > jamal

---

From: "Yang, Lily L" <[email-masked]>
Date: Tue, 29 Jul 2003 10:23:41 -0700

Hi, Jamal --
Definition of "very close", "close" and "not close" are already defined in Applicability Statement. If you remember, there was a big debate last year around March/April in the mailing list about this and there was consensus in the WG that we should focus on "very close" (in the same box or one-hop away) only initially. So you are right that the focus is even narrower than what the charter calls for, because that was the consensus from the WG.

The issue that you raised seems to be where we draw the line that reliable transport is needed -- both the framework and the requirement draft say "beyond single hop" while you suggest "not close" (meaning more than a few hops away). We can spend lots of time to debate on this but I don't see much point in doing so because both "beyond single hop" and "not close" are outside of the focus area any way. I know that the issue around reliability has been thoroughly debated in the requirement design team and presumably there must be consensus of the team on the text in the new revision. So I don't see a need for change of wording here. 

Thanks,
Lily

> Sent: Sunday, July 27, 2003 2:03 PM
> On Sun, 27 Jul 2003, Yang, Lily L wrote:
> 
> > Hi, all --
> >
> > #2 (Section 5.6) Added the paragraph below at the end of 
> the section:
> > "However, the exact description of the off-loaded 
> functionality corresponding to the off-loaded functions 
> expressed in the FE model are not part of the model itself 
> and will need to be worked out as a separate specification."
> >
> > #3 (Section 4.2.1) The following old text is replaced by 
> the new text to align with the requirement draft on transport:
> > [old]
> > "ForCES will make use of an existing RFC2914 ([2]) 
> compliant L4 > > protocol with adequate reliability, security 
> and congestion control   (e.g. TCP, SCTP) for transport purposes."
> > [new]
> > "When the CEs and FEs are separated beyond a single hop, 
> the ForCES protocol will make use of an existing RFC2914 
> compliant L4 protocol with adequate reliability, security and 
> congestion control (e.g. TCP, SCTP) for transport purposes."
> >
> >
> 
> I think you should use the language defined in the charter, quote:
> 
> " .......
> forwarding separation for IP forwarding devices where the
> control and forwarding elements are in close (same room/small
> number of hops) or very close (same box/one hop) proximity. Other
> scenarios will be considered but at not the main focus of the
> work."
> 
> Get rid of the term "separated beyond a single hop"  and say
> "not close" . For that same purpose please include the two definitions
> above in the draft so people understand what "close"  means.
> 
> Other than that i dont see any show stoppers.
> 
> cheers,
> jamal
>